## wget 0.0.2

=== DESCRIPTION ===
Package: wget
Title: Setting Download Method to 'wget'
Version: 0.0.2
Authors@R: 
        person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
Description: Provides function, wget_set(), to change the method (default to 'wget -c') using in download.file().
  Using 'wget -c' allowing continued downloading, which is especially useful for slow internet connection and for downloading large files.
  User can run wget_unset() to restore previous setting.
Imports: yulab.utils (>= 0.1.7)
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-08-30 13:36:49 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2024-09-03 16:10:02 UTC

## wget 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wget
 Title: Setting Download Method to 'wget'
-Version: 0.0.2
+Version: 0.0.3
 Authors@R: 
         person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
 Description: Provides function, wget_set(), to change the method (default to 'wget -c') using in download.file().
@@ -11,8 +11,8 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-08-30 13:36:49 UTC; HUAWEI
+Packaged: 2024-09-24 09:11:10 UTC; HUAWEI
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-03 16:10:02 UTC
+Date/Publication: 2024-09-24 09:30:02 UTC

## wget 0.0.4

=== DESCRIPTION ===
Package: wget
Title: Setting Download Method to 'wget'
Version: 0.0.4
Authors@R: 
        person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
Description: Provides function, wget_set(), to change the method (default to 'wget -c') using in download.file().
  Using 'wget -c' allowing continued downloading, which is especially useful for slow internet connection and for downloading large files.
  User can run wget_unset() to restore previous setting.
Imports: yulab.utils (>= 0.2.1)
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-08-19 15:03:27 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2025-08-19 15:50:02 UTC

## wget 1.12

=== debian/changelog ===
wget (1.12-3.1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Keep build dependencies in main:
      + debian/control: remove info2man build-dep
      + debian/patches/series: disable wget-infopod_generated_manpage
    - Depend on libssl-dev 0.9.8k-7ubuntu4 (LP: #503339)
    - Mark wget Multi-Arch: foreign, so packages that aren't of the same arch
      can depend on it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2011 19:46:25 +0000

wget (1.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: move updating config.{guess,sub} from the clean
    target to the config.status target to avoid unnecessarily
    generating patch files with their content (these files are
    now simply removed by the clean target)
  * debian/patches/debian-changes-1.12-2: drop accordingly
  * debian/patches/disable-SSLv2: new; debian/rules: pass the
    new flag -DNO_SSLv2 to configure (Closes: #622032)
  * debian/rules: clean away _all_ files changed during build;
    debian/patches/refresh-pofiles: regenerate all pofiles, which
    will also be done during package build (these changes are made
    to keep the package buildable twice in a row)
  * Add missing B-D on autotools-dev

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 25 Apr 2011 17:28:39 +0000

wget (1.12-3) unstable; urgency=low

  * Upload by Noèl Köthe <noel@debian.org>;
  * Convert all dpatch-based patches to quilt-based ones, thus fixing the
    bug reported by Lucas Nussbaum (closes: #614373).
  * Add one more patch fixing a typo in doc/wget.texi.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 17 Mar 2011 20:28:53 +0100

wget (1.12-2.1ubuntu2) natty; urgency=low

  * Mark wget Multi-Arch: foreign, so packages that aren't of the same arch
    can depend on it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Feb 2011 02:58:07 -0800

wget (1.12-2.1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #403070), remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Keep build dependencies in main:
      + debian/control: remove info2man build-dep
      + debian/patches/00list: disable wget-infopod_generated_manpage.dpatch
    - Depend on libssl-dev 0.9.8k-7ubuntu4 (LP: #503339)
  * Dropped changes:
    - SECURITY UPDATE: arbitrary file overwrite via 3xx redirect
      + debian/patches/CVE-2010-2252.dpatch: don't use server names in
        doc/wget.texi, src/{http.*,init.c,main.c,options.h,retr.c}.
      + This update changes previous behaviour by ignoring the filename
        supplied by the server during redirects. To re-enable previous
        behaviour, see the new --trust-server-names option.
      + CVE-2010-2252: fixed in debian

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 02 Nov 2010 15:17:29 +0100

wget (1.12-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2010-2252: use of server provided file name might lead to
    overwriting arbitrary files. Thanks to Marc Deslauriers and the Ubuntu
    Security team (Closes: #590296)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 05 Sep 2010 15:33:19 +0200

wget (1.12-2) unstable; urgency=low

  * acknoledge NMUs. Thanks for your work/help Matt and Anthony
    closes: #574185
  * debian/source/format switched to dpkg-source 3.0 (quilt) format

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2010 22:50:22 +0200

wget (1.12-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Revised po/zh_CN.po based on
    http://translationproject.org/PO-files/zh_CN/wget-1.12-pre6.zh_CN.po
    to correct mistranslation of "  eta " etc. closes: Bug#570528
  * Revised po/de.po to removed extraneous doubled quote signs in German
    locale. closes: Bug#571704
  * debian/control updated Standards-Version to 3.8.4, no changes

 -- Anthony Fok <foka@debian.org>  Wed, 17 Mar 2010 06:19:26 +0800

wget (1.12-1.1ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: arbitrary file overwrite via 3xx redirect
    - debian/patches/CVE-2010-2252.dpatch: don't use server names in
      doc/wget.texi, src/{http.*,init.c,main.c,options.h,retr.c}.
    - This update changes previous behaviour by ignoring the filename
      supplied by the server during redirects. To re-enable previous
      behaviour, see the new --trust-server-names option.
    - CVE-2010-2252

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Sep 2010 09:19:11 -0400

wget (1.12-1.1ubuntu2) lucid; urgency=low

  * Rebuild against libssl-dev 0.9.8k-7ubuntu4 to fix wget-udeb dependencies
    (LP: #503339).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2010 16:31:46 +0000

wget (1.12-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
  * Keep build dependencies in main:
    - debian/control: remove info2man build-dep
    - debian/patches/00list: disable wget-infopod_generated_manpage.dpatch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 12 Dec 2009 08:15:59 -0500 

wget (1.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules remove usr/share/info/dir after installing closes: Bug#550217

 -- Matt Kraai <kraai@debian.org>  Sun, 25 Oct 2009 16:59:51 -0700

wget (1.12-1) unstable; urgency=low

  * new upstream release from 2009-09-22
    - fix CVE-2009-3490 "does not properly handle a '\0' character in a
      domain name in the Common Name field of an X.509 certificate"
      closes: Bug#549293
    - updated config.{guess,sub} closes: Bug#528642
    - remove IPv4 precedence from wget closes: Bug#481064
    - support for IDN/IRI domains closes: Bug#405127
    - fix output of non-verbose spider mode closes: Bug#338326
    - fix --delete-after leaves robots.txt lying around
      closes: Bug#288716


=== debian/control ===
Source: wget
Section: web
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Noèl Köthe <noel@debian.org>
Build-Depends: debhelper (>> 5.0.0), gettext, texinfo, libssl-dev (>= 0.9.8k-7ubuntu4), autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/wget/

Package: wget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wget-ssl
Multi-Arch: foreign
Description: retrieves files from the web
 Wget is a network utility to retrieve files from the Web
 using http(s) and ftp, the two most widely used Internet
 protocols. It works non-interactively, so it will work in
 the background, after having logged off. The program supports
 recursive retrieval of web-authoring pages as well as ftp
 sites -- you can use wget to make mirrors of archives and
 home pages or to travel the Web like a WWW robot.
 .
 Wget works particularly well with slow or unstable connections
 by continuing to retrieve a document until the document is fully
 downloaded. Re-getting files from where it left off works on
 servers (both http and ftp) that support it. Both http and ftp
 retrievals can be time stamped, so wget can see if the remote
 file has changed since the last retrieval and automatically
 retrieve the new version if it has.
 .
 Wget supports proxy servers; this can lighten the network load,
 speed up retrieval, and provide access behind firewalls.
 .
 http://www.gnu.org/software/wget/

Package: wget-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}
Description: retrieves files from the web
 This package provides wget.gnu binary as alternative to the limited
 implementation in busybox (see for example ssl support).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# No more needed as all dpatches converted to quilt.
# include /usr/share/dpatch/dpatch.make

DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
confflags= --build $(DEB_BUILD_GNU_TYPE)
endif

config.status: 
	dh_testdir
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	# Add here commands to configure the package.
	CFLAGS="$$CFLAGS -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -O2 -g -Wall" ./configure \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--enable-ipv6 \
			--with-ssl $(confflags)

	touch configure-stamp

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1

	cd po; make wget.pot

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	#-$(MAKE) distclean
	rm -f po/*.gmo po/wget.pot po/en@boldquot.po po/en@quot.po \
	    doc/wget.inf* doc/stamp-vti doc/version.texi \
	    doc/sample.wgetrc.munged_for_texi_inclusion
	rm -f config.guess config.sub

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/wget.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/wget
	rm -f $(CURDIR)/debian/wget/usr/share/info/dir

	# udeb
	mkdir -p debian/wget-udeb/usr/bin/
	cp debian/wget/usr/bin/wget debian/wget-udeb/usr/bin/wget.gnu

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo -a
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wget 1.13.4

=== debian/changelog ===
wget (1.13.4-3+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian ELTS Team
  * CVE-2016-7098
    files rejected by access list are kept on the disk for the duration of
    HTTP connection 

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jan 2020 19:00:14 +0100

wget (1.13.4-3+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian ELTS Team
  * CVE-2019-5953
    Fix of a buffer overflow vulnerability.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 22 Apr 2019 21:00:14 +0200

wget (1.13.4-3+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-0494: Fix cookie injection vulnerability in the resp_new 
    function in http.c. (Closes: #898076)

 -- Abhijith PA <abhijith@disroot.org>  Fri, 11 May 2018 00:48:07 +0530

wget (1.13.4-3+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team
  * CVE-2017-13089
    Fix stack overflow in HTTP protocol handling.
  * CVE-2017-13090
    Fix heap overflow in HTTP protocol handling.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 27 Oct 2017 19:00:14 +0200

wget (1.13.4-3+deb7u4) wheezy-security; urgency=high

  * CVE-2017-6508: Prevent a CRLF injection vulnerability which allowed remote
    attackers to inject arbitrary HTTP headers via CRLF sequences in the host
    subcomponent of a URL. (Closes: #857073)

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Mar 2017 10:22:00 +0000

wget (1.13.4-3+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team
  * CVE-2016-4971
    On a server redirect from HTTP to a FTP resource, wget would trust 
    the HTTP server and uses the name in the redirected URL as the 
    destination filename.
    This behaviour was changed and now it works similarly as a redirect 
    from HTTP to another HTTP resource so the original name is used as
    the destination file.  To keep the previous behaviour the user must
    provide --trust-server-names.
    (Closes:  #827003)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Jun 2016 18:00:14 +0200

wget (1.13.4-3+deb7u2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Set retr-symlinks to true by default. This changes a default 
    setting of wget. Fixes security bug CVE-2014-4877

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Oct 2014 19:00:14 +0100

wget (1.13.4-3+deb7u1) stable-proposed-updates; urgency=low

  * backported TLS Server Name Indication (SNI) to stable 
    (patches/wget-tls-sni) from wget 1.14
    http://git.savannah.gnu.org/cgit/wget.git/commit/?id=fd582e454378db9a1e218acf79f24fbe042bed98
    closes: #653267

 -- Noël Köthe <noel@debian.org>  Sat,  1 Feb 2014 20:29:14 +0100

wget (1.13.4-3) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Support client-side certificates when using GnuTLS. Closes: #646983

  [ Noël Köthe ]
  * thx Daniel for your work with the gnutls-client-cert patch
  * updated Standards-Version to 3.9.3; no changes needed
  * debian/copyright updated upstream author to Giuseppe Scrivano

 -- Noël Köthe <noel@debian.org>  Mon, 09 Apr 2012 19:38:36 +0200

wget (1.13.4-2) unstable; urgency=low

  * added hardened build flag. thx Moritz for the patch
    closes: Bug#654908 

 -- Noël Köthe <noel@debian.org>  Fri, 13 Jan 2012 16:31:57 +0100

wget (1.13.4-1) unstable; urgency=low

  * new upstream release 1.13.4 from 2011-09-17

 -- Noël Köthe <noel@debian.org>  Fri, 21 Oct 2011 17:43:13 +0200

wget (1.13-1) unstable; urgency=low

  * new upstream release 1.13 from 2011-08-09
    - updated wget-doc-remove-usr-local-in-wget.texi, 
      wget-fr.po-spelling-correction, 
    - removed wget-de.po-remove-double-quote-signs (latest de.po),
      CVE-2010-2252 (included upstream), wget-zh_CN.po-translation-correction,
      fix-paramter-spelling-error-in-wget.texi, refresh-pofiles
    - disabled disable-SSLv2 for the first upload
      see https://savannah.gnu.org/bugs/?33840
    - includes latest po files. closes: Bug#607198
    - bugs fixed with this release by upstream:
    -- IDN support: wget www.köln.de works:) closes: Bug#542145
    -- wildcard documentation of -X
       closes: Bug#215128
    -- wget -O - $URL says `-' saved but there is no file -
       closes: Bug#353326
    -- 'wget -c -N' ignores timestamps
       closes: Bug#402001
    -- missing a check for Subject Alternative Name (TLS cert.)
       closes: Bug#409938
    -- wget segfaults when server returns empty HTTP response code
       closes: Bug#563872
    -- wget: -A/-R vs. -O
       closes: Bug#565942
    -- Unterminated C string in http_atotm()
       closes: Bug#581817
    -- don't use PATH_MAX (FTBFS on hurd)
       closes: Bug#595538
    -- info page points to not documented --cookies option
       closes: Bug#597468
    -- SIGPIPE signal: wget over ssh orphans itself on ctrl+c
       closes: Bug#598731
    -- wget --backup-converted does not work
       closes: Bug#624675
    -- --adjust-extension renames .htm files
       closes: Bug#626438
    -- wget: Invalid russian translation
       closes: Bug#502218
    -- wget: shows only first 3 IP addresses of hostname
       closes: Bug#612450

  * debian/control correct spelling in description. closes: Bug#635241
  * debian/control replace libssl-dev by libgnutls-dev in build dependency
 
 -- Noël Köthe <noel@debian.org>  Tue, 12 Aug 2011 15:34:52 +0200

wget (1.12-5) unstable; urgency=low

  * minor update on patch CVE-2010-2252 to mention former option
    name --use-server-file-name. closes: #602008
  * debian/control minor name change Noèl -> Noël ;)

 -- Noël Köthe <noel@debian.org>  Sat, 23 Jul 2011 16:21:11 +0200

wget (1.12-4) unstable; urgency=low

  * acknowledge NMUs. Thanks for your work Thorsten and Filippo
    closes: #622032 #614373
  * updated Standards-Version: to 3.9.2 without changes
  * fixed lintian warning:
    - debian-rules-missing-recommended-target
  * debian/control add Multi-Arch: foreign


=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-# No more needed as all dpatches converted to quilt.
-# include /usr/share/dpatch/dpatch.make
+#export DH_VERBOSE=1
 
 DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -15,26 +12,39 @@
 confflags= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
 config.status: 
 	dh_testdir
 	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
 	# Add here commands to configure the package.
-	CFLAGS="$$CFLAGS -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -O2 -g -Wall" ./configure \
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 			--prefix=/usr \
 			--mandir=\$${prefix}/share/man \
 			--infodir=\$${prefix}/share/info \
 			--sysconfdir=/etc \
 			--enable-ipv6 \
-			--with-ssl $(confflags)
+			--with-ssl \
+			--with-libidn $(confflags)
 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp: config.status
 	dh_testdir
 
 	# Add here commands to compile the package.
 	$(MAKE)
+	#TESTING: $(MAKE) check
+	#TESTING: add this to build-depends: , libhttp-daemon-perl, libio-socket-ssl-perl
 	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1
 
 	cd po; make wget.pot
@@ -66,9 +76,6 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/wget
 	rm -f $(CURDIR)/debian/wget/usr/share/info/dir
 
-	# udeb
-	mkdir -p debian/wget-udeb/usr/bin/
-	cp debian/wget/usr/bin/wget debian/wget-udeb/usr/bin/wget.gnu
 
 # Build architecture-independent files here.
 binary-indep: build install

## wget 1.14

=== debian/changelog ===
wget (1.14-5) unstable; urgency=low

  * debian/rules fix configure option --with-libidn Closes: #728735

 -- Noël Köthe <noel@debian.org>  Fri, 08 Nov 2013 12:55:54 +0100

wget (1.14-4) unstable; urgency=low

  * fix manpage building error "Expected text after =item, not a number"
    with texi2man.pl patch from upstream git:
    http://git.savannah.gnu.org/cgit/wget.git/diff/?id=7f43748544f26008d0dd337704f02a6ed3200aaf
    Closes: #724191

 -- Noël Köthe <noel@debian.org>  Mon, 23 Sep 2013 12:37:59 +0200

wget (1.14-3) experimental; urgency=low

  * build with GNUTLS 3.2 (libgnutls28-dev) to fix some https problems.
    closes: #707555, #652480
  * debian/watch from bartm added. Thank you!
  * debian/control,rules switch to compact 9 and using system buildflags

 -- Noël Köthe <noel@debian.org>  Tue, 13 Aug 2013 15:35:05 +0200

wget (1.14-2) unstable; urgency=low

  * fix changed Texinfo 5 itemx vs item behaviour
    with patch wget-doc-fixitemx2item.patch
    closes: #711028
  * remove second -nv in manpage wget-doc-remove2.nv.patch
    closes: #704085
  * debian/control updated Standards-Version, no changes needed

 -- Noël Köthe <noel@debian.org>  Tue, 04 Jun 2013 10:58:22 +0200

wget (1.14-1) unstable; urgency=low

  * new upstream release from 2012-08-07
    - Add support for content-on-error. It allows to store the HTTP
      payload on 4xx or 5xx errors. closes: #247985
    - Fix a memory leak problem in the GNU TLS backend. closes: #642563
    - Add support for TLS Server Name Indication. closes: #653267

 -- Noël Köthe <noel@debian.org>  Tue, 07 Aug 2012 11:09:50 +0200

wget (1.13.4.79-1) experimental; urgency=low

  * new alpha version 1.13.4.79-22f0 from 2012-07-14
  * the former alpha problem "write error: Inappropriate ioctl
    for device" with -O -  closes: #681394

 -- Noël Köthe <noel@debian.org>  Mon, 16 Jul 2012 21:21:07 +0200

wget (1.13.4.59-1) experimental; urgency=low

  * alpha version 1.13.4.59-2b1dd from 2012-05-26
  * debian/control using libuuid (warc.c) Thanks Tim for the hint.
    closes: Bug#666160
  * debian/ control updated Standard-Version, no changes needed
  * removed upstream included patches:
    - wget-fr.po-spelling-correction
    - gnutls-client-cert

 -- Noël Köthe <noel@debian.org>  Mon, 09 Jul 2012 17:12:56 +0200

=== debian/control ===
Source: wget
Section: web
Priority: important
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>> 9.0.0), gettext, texinfo, libgnutls28-dev, autotools-dev, libidn11-dev, uuid-dev
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/software/wget/

Package: wget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wget-ssl
Multi-Arch: foreign
Description: retrieves files from the web
 Wget is a network utility to retrieve files from the web
 using HTTP(S) and FTP, the two most widely used internet
 protocols. It works non-interactively, so it will work in
 the background, after having logged off. The program supports
 recursive retrieval of web-authoring pages as well as FTP
 sites -- you can use Wget to make mirrors of archives and
 home pages or to travel the web like a WWW robot.
 .
 Wget works particularly well with slow or unstable connections
 by continuing to retrieve a document until the document is fully
 downloaded. Re-getting files from where it left off works on
 servers (both HTTP and FTP) that support it. Both HTTP and FTP
 retrievals can be time stamped, so Wget can see if the remote
 file has changed since the last retrieval and automatically
 retrieve the new version if it has.
 .
 Wget supports proxy servers; this can lighten the network load,
 speed up retrieval, and provide access behind firewalls.

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,9 @@
 confflags= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 config.status: 
 	dh_testdir
@@ -28,7 +27,7 @@
 			--sysconfdir=/etc \
 			--enable-ipv6 \
 			--with-ssl \
-			--with-libidn $(confflags)
+			--with-libidn=/usr $(confflags)
 
 	touch configure-stamp
 
@@ -43,8 +42,6 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	#TESTING: $(MAKE) check
-	#TESTING: add this to build-depends: , libhttp-daemon-perl, libio-socket-ssl-perl
 	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1
 
 	cd po; make wget.pot

## wget 1.15

=== debian/changelog ===
wget (1.15-1ubuntu1) trusty; urgency=medium

  [ Colin Watson ]
  * Resynchronise with Debian.  Remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget.
    - Build-depend on libssl-dev 0.9.8k-7ubuntu4.
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build with -Os and
      without libidn.
    - Use dh_autotools-dev instead of custom config.{sub,guess} copy.

  [ Mark Russell ]
  * debian/rules: build wget-udeb to install its binary as /usr/bin/wget
    instead of /usr/bin/wget.gnu (LP: #1172101).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Feb 2014 17:42:45 +0000

wget (1.15-1) unstable; urgency=medium

  * new upstream release from 2014-01-19
      Wget: fails with long file names in URLs Closes: #672131
      Wget omits Host header for CONNECT Closes: #699337
      Wget: Inaccurate catalan translation Closes: #697081
      Cannot write to ... (Success) Closes: #716938
      Regression: write error on wget -c for already fully retrieved file
      Closes: #696700
      wget: NTLM not supported Closes: #718262
      wget --no-check-certificate does check certificate in certain conditions
      Closes: #686837
  * debian/control updated Standard-Version; no changes needed

 -- Noël Köthe <noel@debian.org>  Mon, 20 Jan 2014 20:17:54 +0100

wget (1.14.96.38327-2) experimental; urgency=low

  * debian/rules fix configure option --with-libidn Closes: #728735

 -- Noël Köthe <noel@debian.org>  Fri, 08 Nov 2013 12:58:42 +0100

wget (1.14.96.38327-1) experimental; urgency=low

  * 1.15 alpha version from 2013-11-02
    - removed patches which are included now upstream:
      wget-doc-fixitemx2item.patch
      wget-doc-remove2.nv.patch
      wget-doc-texi2pod_fixperl5.18change.patch
    - included fixes for
      Wget: fails with long file names in URLs Closes: #672131
      Wget omits Host header for CONNECT Closes: #699337
      Wget: Inaccurate catalan translation Closes: #697081
      Cannot write to ... (Success) Closes: #716938
      Regression: write error on wget -c for already fully retrieved file
      Closes: #696700
      wget: NTLM not supported Closes: #718262
      wget --no-check-certificate does check certificate in certain conditions
      Closes: #686837
  * debian/control add Recommends ca-certificates to get
    https URLs working. Closes: #712540
  * debian/rules fix lintian warning dh-clean-k-is-deprecated

 -- Noël Köthe <noel@debian.org>  Fri, 08 Nov 2013 08:14:32 +0100

wget (1.14-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget.
    - Build-depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build
      with -Os and without libidn.
  * Use dh_autotools-dev instead of custom config.{sub,guess} copy.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Dec 2013 23:53:45 -0700

wget (1.14-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUG in udeb to reduce
      code size.
    - d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Oussama Bounaim <o.bounaim@gmail.com>  Thu, 18 Jul 2013 14:29:40 +0100

wget (1.14-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUG in udeb to reduce
      code size.
    - d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Clint Byrum <clint@ubuntu.com>  Wed, 07 Nov 2012 09:11:39 -0800

wget (1.13.4-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, Remaining Changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUGin udeb to reduce
      code size.
    - d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Clint Byrum <clint@ubuntu.com>  Thu, 14 Jun 2012 12:29:44 -0700

wget (1.13.4-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, Remaining Changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUGin udeb to reduce
      code size.
  * d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Clint Byrum <clint@ubuntu.com>  Fri, 10 Feb 2012 17:01:43 -0800

wget (1.13.4-1ubuntu2) precise; urgency=low

  * d/rules: Compile with -Os and disabling NLS/DEBUGin udeb to reduce
    code size. (LP: #893308)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 21 Nov 2011 16:14:12 -0800

wget (1.13.4-1ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4


=== debian/rules ===
--- 
+++ 
@@ -16,42 +16,62 @@
 include /usr/share/dpkg/buildflags.mk
 CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall
 
-config.status: 
+configure-stamp: configure-udeb-stamp
 	dh_testdir
-	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
+	mkdir -p build
+	cd build && CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ../configure \
 			--prefix=/usr \
 			--mandir=\$${prefix}/share/man \
 			--infodir=\$${prefix}/share/info \
 			--sysconfdir=/etc \
 			--enable-ipv6 \
-			--with-ssl \
+			--with-ssl=openssl \
 			--with-libidn=/usr $(confflags)
 
 	touch configure-stamp
 
+configure-udeb-stamp:
+	dh_autotools-dev_updateconfig
+	mkdir -p build-udeb
+	cd build-udeb && CFLAGS="$(CFLAGS) -Os" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ../configure \
+			--prefix=/usr \
+			--mandir=\$${prefix}/share/man \
+			--infodir=\$${prefix}/share/info \
+			--sysconfdir=/etc \
+			--enable-ipv6 \
+			--with-ssl=openssl \
+			--disable-debug \
+			--disable-nls \
+			--disable-iri $(confflags)
+
+	touch configure-udeb-stamp
+
 build: build-arch build-indep
 
-build-arch: build-stamp
+build-arch: build-stamp build-udeb-stamp
 
 build-indep: build-stamp
 
-build-stamp: config.status
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	cd build && $(MAKE)
 	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1
 
 	cd po; make wget.pot
 
 	touch build-stamp
 
+build-udeb-stamp: configure-udeb-stamp
+	cd build-udeb && $(MAKE)
+	touch build-udeb-stamp
+
 clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp build-udeb-stamp configure-udeb-stamp
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
@@ -59,8 +79,9 @@
 	rm -f po/*.gmo po/wget.pot po/en@boldquot.po po/en@quot.po \
 	    doc/wget.inf* doc/stamp-vti doc/version.texi \
 	    doc/sample.wgetrc.munged_for_texi_inclusion
-	rm -f config.guess config.sub
+	rm -rf build-udeb build
 
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: build
@@ -70,9 +91,12 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/wget.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/wget
+	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/wget
 	rm -f $(CURDIR)/debian/wget/usr/share/info/dir
 
+	# udeb
+	mkdir -p debian/wget-udeb/usr/bin/
+	cp build-udeb/src/wget debian/wget-udeb/usr/bin/wget
 
 # Build architecture-independent files here.
 binary-indep: build install

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/wget/ \
(?:.*[/=]|)wget(?:[_\-]?|[_\-]v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:[^\.].*)?

## wget 1.16

=== debian/changelog ===
wget (1.16-1+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cookie injection (CVE-2018-0494) (Closes: #898076)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 May 2018 21:24:51 +0200

wget (1.16-1+deb8u4) jessie-security; urgency=medium

  * CVE-2017-13089 / CVE-2017-13090

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 26 Oct 2017 19:38:43 +0200

wget (1.16-1+deb8u2) jessie; urgency=medium

  * added upstream patch to fix CVE-2017-6508 closes: Bug#857073

 -- Noël Köthe <noel@debian.org>  Sat, 18 Mar 2017 15:39:29 +0100

wget (1.16-1+deb8u1) jessie; urgency=medium

  * added patch for CVE-2016-4971. closes: #827003, #829130
    By default, on server redirects to a FTP resource, use the original
    URL to get the local file name. Close CVE-2016-4971.  This
    introduces a backward-incompatibility for HTTP->FTP redirects and
    any script that relies on the old  behaviour must use
    --trust-server-names.
  * debian/rules fixed clean target

 -- Noël Köthe <noel@debian.org>  Mon, 04 Jul 2016 18:37:47 +0200

wget (1.16-1) unstable; urgency=medium

  * new upstream release from 2014-10-27
    - "Poodle" do not use SSLv3 except explicitely requested (CVE-2014-3566)
  * debian/control: Public Suffix List cookie domain checking via libpsl
    Closes: #766780
  * debian/control: updated Standards-Version to 3.9.6 (no changes needed)

 -- Noël Köthe <noel@debian.org>  Mon, 27 Oct 2014 11:29:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: web
 Priority: important
 Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>> 9.0.0), gettext, texinfo, libgnutls28-dev, autotools-dev, libidn11-dev, uuid-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 9.0.0), gettext, texinfo, libgnutls28-dev, autotools-dev, libidn11-dev, uuid-dev, libpsl-dev
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/wget/
 
 Package: wget
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Conflicts: wget-ssl
 Multi-Arch: foreign
 Description: retrieves files from the web

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
confflags= --build $(DEB_BUILD_GNU_TYPE)
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall

config.status: 
	dh_testdir
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--enable-ipv6 \
			--with-ssl \
			--with-libidn=/usr $(confflags)

	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1

	cd po; make wget.pot

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	#-$(MAKE) distclean
	rm -f po/*.gmo po/wget.pot po/en@boldquot.po po/en@quot.po \
	    doc/wget.inf* doc/stamp-vti doc/version.texi \
	    doc/sample.wgetrc.munged_for_texi_inclusion
	rm -f config.guess config.sub

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/wget.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/wget
	rm -f $(CURDIR)/debian/wget/usr/share/info/dir


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo -a
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wget 1.16.1

=== debian/changelog ===
wget (1.16.1-1ubuntu1.1) wily-security; urgency=medium

  * SECURITY UPDATE: http to ftp redirect spoofed filenames
    - debian/patches/CVE-2016-4971.patch: understand --trust-server-names
      on a HTTP->FTP redirect in src/ftp.*, src/retr.c.
    - CVE-2016-4971

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jun 2016 10:45:05 +0300

wget (1.16.1-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Add wget-udeb to ship wget as alternative to busybox wget.
    - Build-Depend on libssl-dev instead of libgnutls28-dev.
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build with -Os and
      without libidn.
    - Use dh_autotools-dev instead of custom config.{sub,guess} copy.
    - Don't build with libpsl-dev, which is in universe.
  * Drop fix-openssl-implicit-decl-warning.patch, applied upstream.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 13 Jan 2015 17:51:26 +0300

wget (1.16.1-1) experimental; urgency=medium

  * new upstream release from 2014-12-08 to experimental until jessie release
    - fixed progress bar. closes: #768110
    - new option --crl-file closes: #745836
  * enabled pcre support. closes: #772020
  * debian/rules hardening all. Thanks Markus for the hint

 -- Noël Köthe <noel@debian.org>  Wed, 10 Dec 2014 20:33:35 +0100

wget (1.16-3) unstable; urgency=medium

  * debian/patches/wget-progressbar.patch removed
    the patch results sometimes in stopping downloads so reverting it
    wget: progress.c:1161: create_image: Assertion `count_cols
    (bp->buffer) <= bp->width' failed.
    Bug #768110 is reopend
    Closes: Bug#768323

 -- Noël Köthe <noel@debian.org>  Thu, 06 Nov 2014 14:48:01 +0100

wget (1.16-2) unstable; urgency=medium

  * debian/changelog mention CVE-2014-4877 in 1.16-1
  * debian/patches/wget-progressbar.patch upstream commited patch
    76f6fe22 to fix progressbar. Closes: #768110
  * debian/patches/wget-doc-CRLs.patch document that CRLs are not checked.
    Closes: #767283

 -- Noël Köthe <noel@debian.org>  Wed, 05 Nov 2014 12:15:02 +0100

wget (1.16-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Add wget-udeb to ship wget as alternative to busybox wget.
    - Build-Depend on libssl-dev instead of libgnutls28-dev.
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build with -Os and
      without libidn.
    - Use dh_autotools-dev instead of custom config.{sub,guess} copy.
  * Don't build with Public Suffix List cookie domain checking (required
    library is in universe)
    - debian/control: remove libpsl-dev from Build-Depends.
  * Fix openssl build
    - debian/patches/fix-openssl-implicit-decl-warning.patch: added missing
      include to src/openssl.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 30 Oct 2014 10:37:04 -0400
